Skip to main content
GET
/
emotional-state
Get latest emotional state
curl --request GET \
  --url https://api.hyperspell.com/emotional-state \
  --header 'Authorization: Bearer <token>'
{
  "resource_id": "<string>",
  "summary": "<string>",
  "extracted_at": "<string>",
  "session_id": "<string>",
  "relationship_id": "<string>"
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Query Parameters

relationship_id
string | null

Response

EmotionalStateLatest · object | null

Successful Response

Latest emotional state for a user/relationship.

resource_id
string
required
summary
string
required
extracted_at
string
required
session_id
string | null
required
relationship_id
string | null
required